Subject: RE: Z bit in PPP bridged LAN Traffic

From: Steve Senum <[email-masked]>
Date: Thu, 13 Nov 1997 16:58:27 -0600

Tom:

I think you understand it correctly.

Basically, the Z bit is used to indicate when
an IEEE 802.3/Ethernet minimum length frame
has had its padding removed before sending
it accross the PPP link.  This is only possible
though if the pad was, in fact, all zeros,
something the IEEE 802.3 spec does not
specify (in fact, I belive it says the pad contents
are undefined).

Read the sections on Tinygram-Compression
for more information.

Hope this helps,
Steve Senum

> ----------
> From: 	Tom Mistretta[SMTP:[email-masked]]
> Sent: 	Thursday, November 13, 1997 3:08 PM
> To: 	[email-masked]
> Cc: 	[email-masked]
> Subject: 	Z bit in PPP bridged LAN Traffic
> 
> Hello,
> 
> This may be a question that has been asked before, but
> I can't find any reference to it in the '97 archives,
> so please pardon any perceived abuse of this list :^)
> 
> In RFC1638, "PPP Bridging Control Protocol (BCP)", on page
> 12-13 in section 4.2 (Bridged LAN traffic), there is a picture
> of the frame format for 802.3/802.5/FDDI media types.  There
> is a "Z" bit in the flags field whose description reads:
> 
> bit Z: Set if IEEE 802.3 Pad must be zero filled to minimum
> size
> 
> I interpret this as indicating that short (less than 802.3
> minimum frame size) frames can be sent over PPP and the
> Z bit signals to the receiver that the current frame is
> indeed short and must be zero padded before being forwarded
> onto native 802.3 media.  Is this correct?  The only reason
> I ask is that the wording is a little confusing to me: "...IEEE
> 802.3 *PAD* must be...".  I would have expected it it to say
> "frame" or "pdu" instead of "pad", as there is no pad 
> explicitly discussed in the document.
> 
> Thanks in advance,
> 
> -- 
> Tom Mistretta                           3Com Switching
> Division                                 
> [email-masked]                          80 Central St.
> 978.264.1552                            Boxborough, MA 01719
>

---

From: Venkat Prasad <[email-masked]>
Date: Thu, 13 Nov 1997 18:17:18 -0800

Also, the Z(ero compressed?) bit is really redundant because if you receive a
802.3/Ethernet frame that is less than minimum you know the trailing padding has
been removed. It is however useful if one is paranoid about padding with Zeroes
when recreating the frame and forwarding elsewhere

- vp